<?php if (Session::get("tipo_usuario") != "1"){ show_403();} ?>
<?php import_file(DIR_TEMPLATES."header.php", ["title" => "Editar Plano de Loja", "active_page" => "planos"]); ?>
<?php import_file(DIR_MODELS."Model.class.php"); ?>
<?php import_file(DIR_LIBRARIES."functions.php"); ?>

<?php 
	
	$config = obter_configuracao();
	$model = new Model();

	$id_plano_loja = encrypt_decode(filter_input(INPUT_POST, "id_plano_loja", FILTER_SANITIZE_STRING));

	$result = $model->query("
		SELECT * FROM plano_loja 
		WHERE 
			id_plano_loja = :id AND 
			status_plano_loja = 'S'
	", [
		":id" => $id_plano_loja
	]);

	$data = $result->fetch();

?>

<h4 class="mb-3">
	<i class="fa-regular fa-edit"></i> Editar Plano de Loja
</h4>

<div class="content-box">
	<form id="form-plano-loja">
		<div class="form-row">
			<div class="col-xl-4 col-lg-4 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="id-loja">Loja<span class="text-danger">*</span></label>
					<select name="id_loja" id="id-loja" class="form-control" required>
						<option value="">Selecione um...</option>

						<?php 

							$result = $model->query("
								SELECT * FROM loja a
								INNER JOIN usuario b ON (a.id_usuario = b.id_usuario) 
							");

							foreach ($result->fetchAll() as $i):

						?>
							<option value="<?php echo $i->id_loja; ?>">
								<?php echo "{$i->nome_loja} - {$i->cpf_usuario}"; ?>
							</option>
						<?php endforeach; ?>
					</select>
					<script>
						$(function(){
							$("#id-loja").val("<?php echo $data->id_loja; ?>");
						});
					</script>
				</div>
			</div>
			<div class="col-xl-4 col-lg-4 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="nome-plano-loja">Nome<span class="text-danger">*</span></label>
					<input type="text" name="nome_plano_loja" id="nome-plano-loja" class="form-control" value="<?php echo $data->nome_plano_loja; ?>" required>
				</div>
			</div>
			<div class="col-xl-4 col-lg-4 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="porcentagem-plano-loja">Porcentagem Total do Plano<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<i class="fa-regular fa-percentage"></i>
							</div>
						</div>
						<input type="number" name="porcentagem_plano_loja" id="porcentagem-plano-loja" class="form-control" min="0.01" max="100" step="0.01" value="<?php echo $data->porcentagem_plano_loja; ?>" required>
					</div>
				</div>
			</div>

			<div class="col-xl-4 col-lg-4 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="porcentagem-cashback">Porcentagem do Cashback<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<i class="fa-regular fa-percentage"></i>
							</div>
						</div>
						<input type="number" name="porcentagem_cashback" id="porcentagem-cashback" class="form-control" min="0.00" max="100" step="0.01" value="<?php echo $data->porcentagem_cashback; ?>" data-container="body" data-toggle="popover" data-placement="bottom" data-trigger="focus" title="Aviso" data-content="Digite a porcentagem de 0% a 100% da porcentagem total do plano que será designada ao pagamento do cashback">
					</div>
				</div>
			</div>

			<div class="col-xl-4 col-lg-4 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="porcentagem-comissao">Porcentagem da Comissão<span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<i class="fa-regular fa-percentage"></i>
							</div>
						</div>
						<input type="number" name="porcentagem_comissao" id="porcentagem-comissao" class="form-control" min="0.00" max="100" step="0.01" value="<?php echo $data->porcentagem_comissao; ?>" data-container="body" data-toggle="popover" data-placement="bottom" data-trigger="focus" title="Aviso" data-content="Digite a porcentagem de 0% a 100% da porcentagem total do plano que será designada ao pagamento de comissão">
					</div>
				</div>
			</div>
		</div>

		<?php

			$result = $model->query("
				SELECT * FROM nivel_loja 
				WHERE 
					id_plano_loja = :id 
				ORDER BY 
					id_nivel_loja ASC 
			", [
				":id" => $id_plano_loja
			]);

			if ($config->nivel_arvore > 0):
				echo "
					<hr>
					<h5 class='mb-3'>
						Distribuição por Níveis<br>
						<small>A divisão por nível é feita em cima da <i>Porcentagem Total do Plano</i>, onde esse valor assume o valor de 100% que será distribuído entre os níveis.</small>
					</h5>
					<div class='form-row'>
				";

				for ($i=0; $i < $config->nivel_arvore; $i++):
					$value = $result->fetch();

		?>
			<div class="col-xl-6 col-lg-6 col-md-6 col-sm-12">
				<div class="form-group">
					<label for="<?php echo "niveis-".($i+1); ?>">Porcentagem do Nível <?php echo ($i+1); ?><span class="text-danger">*</span></label>
					<div class="input-group">
						<div class="input-group-prepend">
							<div class="input-group-text">
								<i class="fa-regular fa-percentage"></i>
							</div>
						</div>
						<input type="number" name="niveis[]" id="<?php echo "niveis-".($i+1); ?>" class="form-control niveis" min="0" max="100" step="0.01" value="<?php echo $value->porcentagem_nivel_loja; ?>" required>
					</div>
				</div>
			</div>
		<?php 

				endfor;
				echo "</div>";
			endif; 

		?>
		
		<input type="hidden" name="id_plano_loja" class="d-none" value="<?php echo encrypt_encode($id_plano_loja); ?>">

		<button type="submit" class="btn btn-primary">
			<i class="fa-regular fa-save"></i> Salvar
		</button>

		<a href="<?php echo show_link("/planos-loja/"); ?>" class="btn btn-secondary">
			<i class="fa-regular fa-arrow-left"></i> Voltar
		</a>
	</form>
</div>

<script>
	$("#form-plano-loja").submit(function(event){
		event.preventDefault();
		var form = $(this);
		$.ajax({
			type: "POST",
			data: form.serialize(),
			url: "<?php echo show_link("/editar-plano-loja/"); ?>",
			async: true
		}).then(function(response){
			var result = $.parseJSON(response);

			if (result.status == true) {
				$.toast({
					heading: "Aviso",
					text: "Dados Atualizado com Sucesso!",
					icon: "success",
					loader: true
				});
			}
			else{
				$.toast({
					heading: "Aviso",
					text: "Erro ao Atualizar os Dados!",
					icon: "error",
					loader: true
				});
			}
		}, function(error){
			console.log("Erro: "+error);
		});
	});

	$(".niveis").keyup(function(){
		var total_p = 0;
		$(".niveis").each(function(){
			total_p += Number(this.value);
		});

		if (total_p > 100 || total_p < 0) {
			$("#form-plano-loja > button[type=submit]").attr("disabled", true);
			$("#form-plano-loja > input[type=submit]").attr("disabled", true);

			$.toast({
				heading: "Aviso",
				text: "O total de porcentagem não pode ser maior que 100% e nem menor do que 0%!",
				icon: "warning",
				hideAfter: 5000
			});
		}
		else{
			$("#form-plano-loja > button[type=submit]").attr("disabled", false);
			$("#form-plano-loja > input[type=submit]").attr("disabled", false);
		}
	});
</script>

<?php import_file(DIR_TEMPLATES."footer.php"); ?>